pfodParser 3.55.0 The pfodParser library is handles commands sent from the Android pfodApp, pfodApp supports WiFi, BLE, Bluetooth and SMS connections

List of all members
pfodArc Class Reference

`#include <pfodArc.h>`

Inherits pfodDwgsBase.

pfodArc & | radius (float _radius)
pfodArc & | start (float _start)
pfodArc & | angle (float _angle)
pfodArc & | color (int _color)
pfodArc & | idx (uint16_t _idx)
pfodArc & | autoIdx (uint16_t &_idx)
pfodArc & | filled ()
pfodArc & | offset (float _colOffset, float _rowOffset)
void | init (Print *out, struct VALUES *_values)
void | send (char _startChar='|')

## Additional Inherited Members
Public Member Functions inherited from pfodDwgsBase
void | printFloatNumber (float f)
Public Attributes inherited from pfodDwgsBase
Print * | out
Static Public Attributes inherited from pfodDwgsBase
static const int | BLACK_WHITE = -1
static const int | BLACK = 0
static const int | MAROON = 1
static const int | GREEN = 2
static const int | OLIVE = 3
static const int | NAVY = 4
static const int | PURPLE = 5
static const int | TEAL = 6
static const int | SILVER = 7
static const int | GREY = 8
static const int | RED = 9
static const int | LIME = 10
static const int | YELLOW = 11
static const int | BLUE = 12
static const int | FUCHSIA = 13
static const int | MAGENTA = FUCHSIA
static const int | AQUA = 14
static const int | WHITE = 15
static const int | TOUCH = 0
static const int | DOWN = 1
static const int | DRAG = 2
static const int | UP = 4
static const int | CLICK = 8
static const int | PRESS = 16
static const int | ENTRY = 32
static const int | EXIT = 64
static const int | DOWN_UP = 256
static const int | TOUCH_DISABLED = 512
static const uint16_t | TOUCHED_COL = 65534
static const uint16_t | TOUCHED_ROW = 65532
static const uint16_t | TOUCHED_X = 65534
static const uint16_t | TOUCHED_Y = 65532
Protected Member Functions inherited from pfodDwgsBase
void | startText ()
void | encodeText (Print *out, uint8_t encodeOutput, const char *cPtr)
void | encodeText (Print *out, uint8_t encodeOutput, const __FlashStringHelper *ifsh)
void | encodeChar (Print *out, uint8_t encodeOutput, char c)
void | printFloat (float f)
void | printFloatDecimals (float f, int decPlaces)
void | sendColRowVars (float val)
void | printColor ()
void | printTextFormatsWithBkgndColor ()
void | printIdx ()
void | colRowOffset ()
void | colWidthHeight ()
void | initValues (struct VALUES *_valuesPtr)
| pfodDwgsBase ()
int | getAutoIdx (uint16_t &idx)
Protected Attributes inherited from pfodDwgsBase
struct VALUES * | valuesPtr

## Detailed Description

Definition at line 14 of file pfodArc.h.

## Member Function Documentation

## ◆ angle()

pfodArc& pfodArc::angle | ( | float | _angle | ) |

## ◆ autoIdx()

pfodArc& pfodArc::autoIdx | ( | uint16_t & | _idx | ) |

## ◆ color()

pfodArc& pfodArc::color | ( | int | _color | ) |

## ◆ filled()

pfodArc& pfodArc::filled | ( |  | ) |

## ◆ idx()

pfodArc& pfodArc::idx | ( | uint16_t | _idx | ) |

## ◆ init()

void pfodArc::init | ( | Print * | out,
|  | struct VALUES * | _values
| ) |  |

## ◆ offset()

pfodArc& pfodArc::offset | ( | float | _colOffset,
|  | float | _rowOffset
| ) |  |

## ◆ radius()

pfodArc& pfodArc::radius | ( | float | _radius | ) |

## ◆ send()

void pfodArc::send | ( | char | _startChar = `'|'` | ) |
| virtual

Reimplemented from pfodDwgsBase.

## ◆ start()

pfodArc& pfodArc::start | ( | float | _start | ) |